I constantly use in the construction tree the display of "Show component descriptions" and I uncheck "Show the name of the display states".
I do this gymnastics to each part or assembly that has not been processed before, because this information, once filled in, is recorded once and for all in the part or assembly.
Don't know the method to make a macro doing this series of commands, I ask for help to make it.
Have you ever tried through the macro recorder??? You start recording and then do the operation edit the description and then you stop it by saving it. Basically, you record what you do and then stop recording.
Dim swApp As SldWorks.SldWorks Dim swModelDoc As SldWorks.ModelDoc2 Dim swFeatMgr As SldWorks.FeatureManager Sub main() Set swApp = Application.SldWorks Set swModelDoc = swApp.ActiveDoc Set swFeatMgr = swModelDoc.FeatureManager
If swFeatMgr.ShowDisplayStateNames = True Then swFeatMgr.ShowDisplayStateNames = False End If If swFeatMgr.ShowComponentDescriptions = False Then swFeatMgr.ShowComponentDescriptions = True End If End Sub